<!DOCTYPE html>
<html lang="en"> 
<head>
<meta charset="utf-8">
<title>Modular Web Sites</title>
<link rel="stylesheet" href="style.css" media="all">

</head>
<body id="functions">
<div id="wrapper">
<?php include_once("header.php"); ?>
	<section>	
<?php include_once("navigation.php"); ?>
		<article>
<h2>Functions</h2>
<p>Another way that programming optimizes is to give names to common routines that it has to perform. These are called functions, and they are more than variables, because they often act on information, as in this <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/function.php">example</a>. 
<pre>
&lt;!DOCTYPE html>
&lt;?php
function myGreeting($Name){
    echo "Hello there ". $Name . "!<br />";
}
myGreeting("Jane Doe");
myGreeting("John Doe");
myGreeting("Barbie");
myGreeting("Ken");
myGreeting("America");
echo "How Are You?";
?></pre>
<p>The computer runs down the page just as in HTML. When it gets to myGreeting, it takes the value in the parentheses and passes it to the variable "$name." The function then operates on that variable, in this case concatenating "hello there " with the name, an exclamation mark and a line-break element. These three things are concatenated, or brought together, by the period. The entire result is then printed, and the computer goes to the next line and repeats the entire procedure over again, till the end, where it prints "How are You?"
		</article>
	</section>
<?php include_once("footer.php"); ?>
</div>
</body>
</html>