<!DOCTYPE html>
<html lang="en"> 
<head>
<meta charset="utf-8">
<title>PHP: Variables</title>
<link rel="stylesheet" href="style.css" media="all">

</head>
<body id="variables">
<div id="wrapper">
<?php include_once("header.php"); ?>
	<section>	
<?php include_once("navigation.php"); ?>
		<article>
<h2>Variables</h2>
<p>No one likes to do anything twice, and programing languages are full of ways to optimize the code. Just as CSS centralizes the instructions for how the web page looks, and PHP modularizes the HTML web site into a number of components, programing languages create variables and give them names to optimize the code. This is how to write the last statement using a <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/variable.php">variable</a>:
<pre>
&lt;!DOCTYPE html>
&lt;?php
$myString = "Hello!";
echo $myString;
echo "I'm a PHP script!";
?>
</pre>
<p>The dollar sign <code>$</code> signifies that myString is a variable, and the equal sign <code>=</code> assigns it to the text "Hello". When this variable is echoed, it writes out "Hello". The savings in this example are not exactly spectacular, but you get the idea. It saves programers from having to write and update the same code over and over again. 
		</article>
	</section>
<?php include_once("footer.php"); ?>
</div>
</body>
</html>